<?php
/**
 * Active callback functions.
 *
 * @package Creativ Agency
 */

function creativ_agency_our_services_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[disable_our_services_section]' )->value() == true ) {
        return false;
    }else{
        return true;
    }
}

function creativ_agency_our_services_page( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[ad_content_type]' )->value();
    return ( creativ_agency_our_services_active( $control ) && ( 'ad_page' == $content_type ) );
}

function creativ_agency_our_services_post( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[ad_content_type]' )->value();
    return ( creativ_agency_our_services_active( $control ) && ( 'ad_post' == $content_type ) );
}

function creativ_agency_faq_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[disable_faq_section]' )->value() == true ) {
        return false;
    }else{
        return true;
    }
}

function creativ_agency_faq_page( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[cs_content_type]' )->value();
    return ( creativ_agency_faq_active( $control ) && ( 'cs_page' == $content_type ) );
}

function creativ_agency_faq_post( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[cs_content_type]' )->value();
    return ( creativ_agency_faq_active( $control ) && ( 'cs_post' == $content_type ) );
}

function creativ_agency_features_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[disable_features_section]' )->value() == true ) {
        return false;
    }else{
        return true;
    }
}

function creativ_agency_features_page( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[features_content_type]' )->value();
    return ( creativ_agency_features_active( $control ) && ( 'features_page' == $content_type ) );
}

function creativ_agency_features_post( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[features_content_type]' )->value();
    return ( creativ_agency_features_active( $control ) && ( 'features_post' == $content_type ) );
}

function creativ_agency_slider_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[disable_featured_slider]' )->value() == true ) {
        return false;
    }else{
        return true;
    }
}

function creativ_agency_slider_page( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[sr_content_type]' )->value();
    return ( creativ_agency_slider_active( $control ) && ( 'sr_page' == $content_type ) );
}

function creativ_agency_slider_post( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[sr_content_type]' )->value();
    return ( creativ_agency_slider_active( $control ) && ( 'sr_post' == $content_type ) );
}

function creativ_agency_cta_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[disable_cta_section]' )->value() == true ) {
        return false;
    }else{
        return true;
    }
}

function creativ_agency_blog_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[disable_blog_section]' )->value() == true ) {
        return false;
    }else{
        return true;
    }
}

/**
 * Active Callback for top bar section
 */
function creativ_agency_contact_info_ac( $control ) {

    $show_contact_info = $control->manager->get_setting( 'theme_options[show_header_contact_info]')->value();
    $control_id        = $control->id;
         
    if ( $control_id == 'theme_options[header_location]' && $show_contact_info ) return true;
    if ( $control_id == 'theme_options[header_email]' && $show_contact_info ) return true;
    if ( $control_id == 'theme_options[header_phone]' && $show_contact_info ) return true;

    return false;
}

function creativ_agency_social_links_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[show_header_social_links]' )->value() == true ) {
        return true;
    }else{
        return false;
    }
}