<?php 
/**
 * Template part for displaying Services Section
 *
 *@package Creativ Agency Pro
 */

    $features_section_icon     = creativ_agency_get_option( 'features_section_icon' );
    $features_section_title    = creativ_agency_get_option( 'features_section_title' );
    $features_section_subtitle = creativ_agency_get_option( 'features_section_subtitle' );
    $features_content_type     = creativ_agency_get_option( 'features_content_type' );
    $number_of_features_items  = creativ_agency_get_option( 'number_of_features_items' );

    if( $features_content_type == 'features_page' ) :
        for( $i=1; $i<=$number_of_features_items; $i++ ) :
            $featured_features_posts[] = creativ_agency_get_option( 'features_page_'.$i );
        endfor;  
    elseif( $features_content_type == 'features_post' ) :
        for( $i=1; $i<=$number_of_features_items; $i++ ) :
            $featured_features_posts[] = creativ_agency_get_option( 'features_post_'.$i );
        endfor;
    endif;
    ?>

    <?php if( !empty($features_section_icon) || !empty($features_section_title) || !empty($features_section_subtitle) ):?>
        <div class="section-header">
            <?php if(!empty($features_section_icon)):?>
                <span class="section-icon"><i class="<?php echo esc_attr( $features_section_icon )?>"></i></span>
            <?php endif;?>

            <?php if(!empty($features_section_title)):?>
                <h2 class="section-title"><?php echo esc_html($features_section_title);?></h2>
            <?php endif;?>

            <?php if(!empty($features_section_subtitle)):?>
                <p class="section-subtitle"><?php echo esc_html($features_section_subtitle);?></p>
            <?php endif;?>
        </div><!-- .section-header -->
    <?php endif;?>

    <?php if( $features_content_type == 'features_page' ) : ?>
        <div class="section-content">
            <?php $args = array (
                'post_type'     => 'page',
                'post_per_page' => count( $featured_features_posts ),
                'post__in'      => $featured_features_posts,
                'orderby'       =>'post__in',
            );        
            $loop = new WP_Query($args);                        
            if ( $loop->have_posts() ) :
            $i=-1; $j=0;  
                while ($loop->have_posts()) : $loop->the_post(); $i++; $j++;
                $features_icons[$j] = creativ_agency_get_option( 'features_icon_'.$j ); ?>        
                
                <article>
                    <div class="featured-image" style="background-image: url('<?php the_post_thumbnail_url( 'full' ); ?>');">
                        <a href="<?php echo the_permalink();?>" class="post-thumbnail-link"></a>
                    </div><!-- .featured-image -->

                    <div class="entry-container">
                        <?php if( !empty( $features_icons[$j] ) ) : ?>
                            <div class="features-icon">
                                <i class="<?php echo esc_attr( $features_icons[$j] )?>"></i>
                            </div><!-- .features-icon -->
                        <?php endif; ?>

                        <header class="entry-header">
                            <h2 class="entry-title"><a href="<?php echo the_permalink();?>"><?php the_title();?></a></h2>
                        </header>

                        <div class="entry-content">
                            <?php
                                $excerpt = creativ_agency_the_excerpt( 50 );
                                echo wp_kses_post( wpautop( $excerpt ) );
                            ?>
                        </div><!-- .entry-content -->

                        <div class="read-more">
                            <?php $readmore_text = creativ_agency_get_option( 'readmore_text' );?>
                            <a href="<?php the_permalink();?>" class="btn"><?php echo esc_html($readmore_text);?></a>
                        </div><!-- .read-more -->
                    </div><!-- .entry-container -->
                </article>

              <?php endwhile;?>
              <?php wp_reset_postdata(); ?>
            <?php endif;?>
        </div>

    <?php else: ?>
        <div class="section-content">
            <?php $args = array (
                'post_type'     => 'post',
                'post_per_page' => count( $featured_features_posts ),
                'post__in'      => $featured_features_posts,
                'orderby'       =>'post__in',
            );        
            $loop = new WP_Query($args);                        
            if ( $loop->have_posts() ) :
            $i=-1; $j=0;  
                while ($loop->have_posts()) : $loop->the_post(); $i++; $j++;
                $features_icons[$j] = creativ_agency_get_option( 'features_icon_'.$j ); ?>  
                
                <article>
                    <div class="featured-image" style="background-image: url('<?php the_post_thumbnail_url( 'full' ); ?>');">
                        <a href="<?php echo the_permalink();?>" class="post-thumbnail-link"></a>
                    </div><!-- .featured-image -->

                    <div class="entry-container">
                        <?php if( !empty( $features_icons[$j] ) ) : ?>
                            <div class="features-icon">
                                <i class="<?php echo esc_attr( $features_icons[$j] )?>"></i>
                            </div><!-- .features-icon -->
                        <?php endif; ?>

                        <header class="entry-header">
                            <h2 class="entry-title"><a href="<?php echo the_permalink();?>"><?php the_title();?></a></h2>
                        </header>

                        <div class="entry-content">
                            <?php
                                $excerpt = creativ_agency_the_excerpt( 50 );
                                echo wp_kses_post( wpautop( $excerpt ) );
                            ?>
                        </div><!-- .entry-content -->

                        <div class="read-more">
                            <?php $readmore_text = creativ_agency_get_option( 'readmore_text' );?>
                            <a href="<?php the_permalink();?>" class="btn"><?php echo esc_html($readmore_text);?></a>
                        </div><!-- .read-more -->
                    </div><!-- .entry-container -->
                </article>

              <?php endwhile;?>
              <?php wp_reset_postdata(); ?>
            <?php endif;?>
        </div>
    <?php endif;